<?
        // **********************************
        // الرجاء عدم إزالة وصف الحقوق
        // Please don't remove the copyright note
        // MagicToolBox hack 2.5 by Alawi Hussain Ba3qeel © http://www.rayaheen.net, software@rayaheen.net
        // ( free software )
        // **********************************
        error_reporting(7);
        if (!isset($preview_flag) or $preview_flag != "1") {
?>
        <html dir="rtl"><body>
        <h2 align="center">تحميل صفحة المعاينة ، الرجاء الانتظار ...</p>
        <script language="javascript">
                window.focus();
        </script>
        <form name="pform" action="postpreview.php" method="post" style="display:none">
                <textarea name="message"></textarea>
                <input type="hidden" name="preview_flag" value="1">
        </form>
        <script language="javascript">
                pform.message.value = opener.document.vbform.message.value;
                pform.submit();
        </script>
        <body></html>
<?
        exit; }

// get special phrase groups
$phrasegroups = array();

// get special data templates from the datastore
$specialtemplates = array(
        'smiliecache',
        'bbcodecache'
);

// pre-cache templates used by all actions
$globaltemplates = array('postpreview');

// pre-cache templates used by specific actions
$actiontemplates = array();
define('THIS_SCRIPT', 'postpreview');
chdir('../');
require_once('./global.php');
        require_once(DIR . '/includes/class_bbcode.php');
        $bbcode_parser =& new vB_BbCodeParser($vbulletin, fetch_tag_list());
        $previewmessage = $bbcode_parser->parse($message, true, true);
        eval('print_output("' . fetch_template('postpreview') . '");');


?>